package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TActkindHistory;
import com.chinaitop.depot.intelligent.grainsituation.model.TActkindHistoryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TActkindHistoryMapper {
    int countByExample(TActkindHistoryExample example);

    int deleteByExample(TActkindHistoryExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TActkindHistory record);

    int insertSelective(TActkindHistory record);

    List<TActkindHistory> selectByExample(TActkindHistoryExample example);

    TActkindHistory selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TActkindHistory record, @Param("example") TActkindHistoryExample example);

    int updateByExample(@Param("record") TActkindHistory record, @Param("example") TActkindHistoryExample example);

    int updateByPrimaryKeySelective(TActkindHistory record);

    int updateByPrimaryKey(TActkindHistory record);
}